summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2005-10-31 19:19:30 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2005-10-31 19:19:30 (GMT)
commit398f049289646df55a693b0118fd08def6457c0e (patch)
tree931380d26c13307be423a95ce40ed008851727cd /bin
parent00ed4bfbb77a4cc2493fc009cfbeae664f59aa83 (diff)
downloadhdf5-398f049289646df55a693b0118fd08def6457c0e.zip
hdf5-398f049289646df55a693b0118fd08def6457c0e.tar.gz
hdf5-398f049289646df55a693b0118fd08def6457c0e.tar.bz2
[svn-r11641] Purpose:
New feature Description: A tool to fix configure file so that it can launch configure testing executable via the proper launching command, e.g., yod. (Thus the name yodconfigure is used.) Tested: Red Storm, both parallel and serial configure.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/yodconfigure58
1 files changed, 58 insertions, 0 deletions
diff --git a/bin/yodconfigure b/bin/yodconfigure
new file mode 100755
index 0000000..8ee5fc7
--- /dev/null
+++ b/bin/yodconfigure
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Copyright by the Board of Trustees of the University of Illinois.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the files COPYING and Copyright.html. COPYING can be found at the root
+# of the source code distribution tree; Copyright.html can be found at the
+# root level of an installed copy of the electronic HDF5 document set and
+# is linked from the top-level documents page. It can also be found at
+# http://hdf.ncsa.uiuc.edu/HDF5/doc/Copyright.html. If you do not have
+# access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.
+
+# Fix configure file so that it can launch configure testing executable
+# via the proper launching command, e.g., yod. (Thus the name yodconfigure
+# is used.)
+#
+# Author: Albert Cheng
+
+if [ $# -ne 1 ]; then
+ echo "Usage: $0 <configure file>"
+ exit 1
+fi
+confile=$1
+
+if [ ! -w $confile ]; then
+ echo "$0: $confile is not writable"
+ exit 1
+fi
+
+# Insert the ACTRY function after the 1st line which is the #!/bin/sh.
+# Change all "eval $ac_try" commands to call ACTRY.
+#
+ed - $confile <<'EOF'
+1a
+# ===inserted by yodconfigure ====
+# ACTRY will figure out when it is approprirate to run the command by the
+# $RUNSERIAL launcher (e.g., yod -sz 1) and when to just run it as is.
+# So far, ./a.out and ./conftest are names of real executable that should
+# be run by $RUNSERIAL.
+#
+# (uncomment the echo line if you want to see what is going on.)
+ACTRY()
+{
+#echo ACTRY: args are: $* > /dev/tty
+if [ "$1" = ./a.out -o "$1" = ./conftest ]; then
+# echo $RUNSERIAL $* > /dev/tty
+ $RUNSERIAL $*
+else
+ $*
+fi
+}
+.
+g/eval $ac_try/s/eval/eval ACTRY/p
+w
+q
+EOF